com.singularsys.jep.misc.nullwrapper.functions

## Class NullWrappedBinary

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.functions.BinaryFunction
    - - com.singularsys.jep.misc.nullwrapper.functions.NullWrappedBinary

- All Implemented Interfaces:
    NullWrappedFunctionI, PostfixMathCommandI, java.io.Serializable

      public class NullWrappedBinary
      extends BinaryFunction
      implements NullWrappedFunctionI

  Null wrapped version of a binary function. Both `null OP any` and `any OP null` both return null otherwise the same value as the original is returned.
  Since:
    3.4
  Author:
    Richard Morris
  See Also:
    `BinaryFunction`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullWrappedBinary(BinaryFunction fun)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`
    `PostfixMathCommandI` | `getRoot()` Get to function which this function wraps.
    `void` | `setName(java.lang.String name)` Sets the name of the function used for error messages

    - ### Methods inherited from class com.singularsys.jep.functions.BinaryFunction

      `run`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, setCurNumberOfParameters, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullWrappedBinary

          public NullWrappedBinary(BinaryFunction fun)

      Parameters:
        `fun` -

  - ### Method Detail

    - #### getRoot

          public PostfixMathCommandI getRoot()

      Description copied from interface: `NullWrappedFunctionI`
      Get to function which this function wraps.
      Specified by:
        `getRoot` in interface `NullWrappedFunctionI`
      Returns:
        the root function, may be "this".

    - #### setName

          public void setName(java.lang.String name)

      Description copied from interface: `PostfixMathCommandI`
      Sets the name of the function used for error messages
      Specified by:
        `setName` in interface `PostfixMathCommandI`
      Overrides:
        `setName` in class `PostfixMathCommand`
      Parameters:
        `name` - the function name

    - #### eval

          public java.lang.Object eval(java.lang.Object l,
                                       java.lang.Object r)
                                throws EvaluationException

      Specified by:
        `eval` in class `BinaryFunction`
      Throws:
        `EvaluationException`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep